﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

using Telerik.Windows.Controls;
using System.ComponentModel;

namespace windowTest
{
    /// <summary>
    /// Interaction logic for WindowUC.xaml
    /// </summary>
	/// 
    public partial class WindowUC : INotifyPropertyChanged
    {
		private string _selectedItem;

		public string SelectedItem
		{
			get { return this._selectedItem; }
			set
			{
				if (this._selectedItem != value)
				{
					this._selectedItem = value;
					this.OnPropertyChanged("SelectedItem");
				}
			}
		}

	 public event PropertyChangedEventHandler PropertyChanged;

     
      protected void OnPropertyChanged(string name)
      {
          PropertyChangedEventHandler handler = PropertyChanged;
          if (handler != null)
          {
              handler(this, new PropertyChangedEventArgs(name));
          }
      }
 

        public WindowUC()
        {
            InitializeComponent();
			autoCompleteBox.ItemsSource = new string[] {
				"item1", "item2", "item3"
			};

			this.DataContext = this;
        }
    }
}
